add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/CMSIS CMSIS)
add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/STM32H7xx_HAL_Driver STM32H7xx_HAL_Driver)

add_library(driver STATIC)
target_link_libraries(driver CMSIS)
target_link_libraries(driver STM32H7xx_HAL_Driver)
